# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "betfair-typegen"
version = "0.6.7"
authors = ["Roberts Pumpurs <roberts@pumpurlabs.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
Utilities for interacting with Betfair from Rust
"""
homepage = "https://github.com/roberts-pumpurs/betfair-adapter-rs"
readme = "README.md"
license = "MIT/Apache-2.0"
repository = "https://github.com/roberts-pumpurs/betfair-adapter-rs"
resolver = "2"

[lib]
name = "betfair_typegen"
path = "src/lib.rs"

[[test]]
name = "e2e"
path = "tests/e2e/main.rs"

[dependencies.betfair-xml-parser]
version = "0"

[dependencies.eyre]
version = "0.6"

[dependencies.heck]
version = "0.5"

[dependencies.itertools]
version = "0.14"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"

[dependencies.tracing]
version = "0.1"

[dependencies.typed-builder]
version = "0.21"

[dev-dependencies.pretty_assertions]
version = "1"

[dev-dependencies.proptest]
version = "1"

[dev-dependencies.rstest]
version = "0.25"

[dev-dependencies.serde-xml-rs]
version = "0.6"

[lints.clippy]

[lints.rust.rust_2018_idioms]
level = "deny"
priority = 0

[lints.rust.unreachable_pub]
level = "warn"
priority = -1

[lints.rust.unused_imports]
level = "warn"
priority = -1

[lints.rust.unused_must_use]
level = "deny"
priority = -1
